Subject: Re: bug#44409: Example in manual no longer works

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Nov 2020 05:24:40 +0200

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 04 Nov 2020 07:32:42 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
> EZ> The example in the manual doesn't mention /etc/motd of any other binary file.  It uses text files, where this issue doesn't exist.
> 
> Since when is /etc/motd a binary file?

I didn't say it was.

> >> $ grep --color -nH --null -e a /etc/motd | grep x
> >> Binary file (standard input) matches
> 
> So we see the issue indeed exists with text files!!

No, it exists if you use Grep incorrectly.

> EZ> Yes, but you need to edit that prompt anyway in order to type the
> EZ> command with a pipe, so the original prompt doesn't matter much.
> 
> No!
> 
> In the past one could simply slap the pipe(s) on to the back.
> 
> Now that no longer works.
> 
> Therefore the example needs to be rewritten to make it work again.

The example already works without any changes, so it doesn't need to
be rewritten.

> (Or specific instructions need to be given: "Be sure to remove any
> '--null' that emacs has stuck in, for this example to work.")

That's the stuff for Grep manual, not for Emacs.

So I don't see any problem here to fix, and I'm closing this bug
report.